import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetContainerListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetContainerListParams> = {
  department: '',
  type: '',
  containerName: '',
  code: '',
  modifyUser: '',
};

export const context = createTableSearchContext(contextState);
